BANK WOORI SAUDARA - Bug #1980

[ESS-OverTime] Falidasi
02/02/2023 11:35 AM - Johanes Christian Kurni

Status: Closed Start date: 02/02/2023
Priority: High Due date:

Assignee: Johanes Christian Kurni % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear Azid,

Mohon bantuannya untuk mengecek falidasi berikut ini.

o overtime harus di dalam range attendance dan 30 menit setelah wakiu kerja berakhir

Dengan kondisi:
Attendance : 80:30 - 20:00
Time Overtime : 18:00 - 19:30

UserName: 00000145
Password: 123Aa

Port: http://remote.minovais.com:31128/

Server: remote.minovais.com, 1438\MSSQLSERVER2012
DB: MinovaES_BWS_DevProd

Menu: My Workplace > Request > Time Management > Leave

Terima Kasih

History

#1 - 02/03/2023 03:47 PM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Johanes Christian Kurni

dear jo,
untuk validasi ini ada ketentuan berdasarkan :

1. validasi untuk ngecek sedang berjalan atau tidak payroll
2. payroll class ini di takeout dulu mau di tanyain sama bang fachrul
http://remote.minovais.com:31128/

3. validasi Fungsi untuk durasi Overtime masuk ke dalam Durasi Attendance di set di genparam dengan parameter (PL_OVT-TR)
4. validasi Attandance di PHRPA0019 dia punya atau tidak dengan ketentuan lembur

- startDate overtime harus 9.30 menit dari startdate attandance

- endate overtime harus berada di range endDate attandance

makasih

#2 - 03/06/2023 02:12 PM - Johanes Christian Kurni
- Status changed from QA Test to Closed
